Skip to content
Permalink
Browse files
chore: update @eslint/eslintrc to avoid different versions of `js-yam…
…l` (#15265)
  • Loading branch information
mdjermanovic committed Nov 5, 2021
1 parent c9fefd2 commit cf5b6be6f8144f5932cdf062d380f7c0f51e64bd
Show file tree
Hide file tree
Showing 2 changed files with 5 additions and 4 deletions.
@@ -47,7 +47,7 @@
"homepage": "https://eslint.org",
"bugs": "https://github.com/eslint/eslint/issues/",
"dependencies": {
"@eslint/eslintrc": "^1.0.3",
"@eslint/eslintrc": "^1.0.4",
"@humanwhocodes/config-array": "^0.6.0",
"ajv": "^6.10.0",
"chalk": "^4.0.0",
@@ -391,10 +391,11 @@ describe("bin/eslint.js", () => {
const child = runESLint(["--no-ignore", invalidConfig]);
const exitCodeAssertion = assertExitCode(child, 2);
const outputAssertion = getOutput(child).then(output => {
const expectedSubstring = ": bad indentation of a mapping entry at line";

assert.strictEqual(output.stdout, "");
assert.include(output.stderr, expectedSubstring);
assert.match(
output.stderr,
/: bad indentation of a mapping entry \(\d+:\d+\)/u // a part of the error message from `js-yaml` dependency
);
});

return Promise.all([exitCodeAssertion, outputAssertion]);

0 comments on commit cf5b6be

Please sign in to comment.